## vitetris 0.57.2

=== debian/changelog ===
vitetris (0.57.2-2) unstable; urgency=medium

  * Rename binary to vitetris (Closes: #911053)
  * Rename manpage to vitetris
  * Fix desktop entry
  * Fix implicit declaration on netplay.c
  * Add source README to package

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 15 Oct 2018 22:50:19 +0200

vitetris (0.57.2-1) unstable; urgency=medium

  * Initial release (Closes: #909968)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Sun, 30 Sep 2018 22:16:37 +0200
