## vitetris 0.58.0

=== debian/changelog ===
vitetris (0.58.0-2) unstable; urgency=medium

  [ Baptiste BEAUPLAT ]
  * Update to policy version 4.4.1 - no changes
  * Remove explicit ownership for installed files
  * Add Rules-Requires-Root: no to d/control
  * Add keyworks entry to desktop file
  * Use https version of the URL for Homepage
  * Add Upstream-Contact to d/copyright

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply CC. (Closes: #948072)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 03 Jan 2020 20:44:23 +0100

vitetris (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0
  * Drop patches applied upstream:
    - 0005-fix-implicit-declaration.patch
    - 0002-fix-insecure-printf.patch
  * d/watch: Remove leftover from dh_make template

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Tue, 12 Mar 2019 18:40:50 +0100

vitetris (0.57.2-3) unstable; urgency=medium

  * Convert repo to DEP-14
  * Move binary stripping from Makefile to debhelper
  * Bump policy version to 4.3.0
  * Bump debian-compat to 12. Remove debian/compat

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 07 Mar 2019 18:31:59 +0100
