=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
-Homepage: http://www.victornils.net/tetris/
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Homepage: https://www.victornils.net/tetris/
 Vcs-Browser: https://salsa.debian.org/lyknode-guest/vitetris
 Vcs-Git: https://salsa.debian.org/lyknode-guest/vitetris.git
+Rules-Requires-Root: no
 
 Package: vitetris
 Architecture: any
