=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+-include /usr/share/dpkg/buildtools.mk
+export CC
+
 %:
 	dh $@
