=== debian/changelog ===
vitetris (0.59.1-1) unstable; urgency=medium

  * New upstream version 0.59.1
  * Update manpage version

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 27 Dec 2020 11:06:10 +0100

vitetris (0.59.0-1) unstable; urgency=medium

  * New upstream version 0.59.0
  * Rediff patches (renumbered):
    + Drop 0004-add-comment-desktop: applied upstream
    + Drop 0005-Remove-explicit-ownership-for-installed-files: applied
      upstream
    + Drop 0006-add-keyworks-entry-to-desktop-file.patch: applied upstream
  * Update version in manpage
  * Fix wrong highscore path in manpage

 -- Baptiste Beauplat <lyknode@cilg.org>  Sat, 12 Dec 2020 20:44:13 +0100

vitetris (0.58.0-5) unstable; urgency=medium

  * Cleanup generated and remove modified files after a build
  * Fix my last name in d/copyright
  * Bump Standard-Version to 4.5.1: no changes

 -- Baptiste Beauplat <lyknode@cilg.org>  Sat, 28 Nov 2020 11:22:13 +0100

vitetris (0.58.0-4) unstable; urgency=medium

  * Bump debhelper-compat (= 13): remove -Wl,--as-needed from d/rules
  * Add salsa CI pipeline
  * Set my last name as lowercase in Maintainer field
  * Add forwarded links to upstream patches

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 25 Oct 2020 15:08:58 +0100

vitetris (0.58.0-3) unstable; urgency=medium

  * Vcs fields updated (project moved to debian group on salsa)
  * Bump std version to 4.5.0: no changes
  * Add upstream metedata

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 20 Apr 2020 11:44:49 +0200
