=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: vitetris
 Section: games
 Priority: optional
-Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Maintainer: Baptiste Beauplat <lyknode@cilg.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://www.victornils.net/tetris/
-Vcs-Browser: https://salsa.debian.org/lyknode-guest/vitetris
-Vcs-Git: https://salsa.debian.org/lyknode-guest/vitetris.git
+Vcs-Browser: https://salsa.debian.org/debian/vitetris
+Vcs-Git: https://salsa.debian.org/debian/vitetris.git
 Rules-Requires-Root: no
 
 Package: vitetris
