=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

-include /usr/share/dpkg/buildtools.mk
export CC

BACKUP_FILES = config.mk src/config.h src/src-conf.mk

%:
	dh $@

override_dh_auto_configure:
	for file in $(BACKUP_FILES); do \
	    cp $$file $$file.orig; \
	done
	
	./configure --prefix=/usr --bindir=/usr/games

execute_after_dh_auto_clean:
	rm -f vitetris
	
	for file in $(BACKUP_FILES); do \
	    test -r $$file.orig && mv $$file.orig $$file || true; \
	done
